MediaWiki:Vector.css

From mw.mh370.wiki
Jump to navigation Jump to search

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5.
/* All CSS here will be loaded for users of the Vector skin */

/* 3 August 2025 reduce margin-left for vector-menu-content (was 1.25em;) so menu items fit on single line */ 
/* #mw-panel.collapsible-nav .portal .vector-menu-content { margin-left: 0px; } */


/* ___________________________________________________________________________________________________________ */

/* Items arranged with lightest color shades first, also approximating a Z order */

#mw-panel.collapsible-nav .vector-menu-content { background-color: var(--Tan-80); }  /* background color on drop down sub menu */

.vector-menu-heading-label { background-color: var(--Tan-70); }  /* this is the background for the text only, not full width */

/* menu headings - define for expanded and collapsed - container for the label text, full width of sidebar */
#mw-panel.collapsible-nav .portal.collapsed .vector-menu-heading { background-color: var(--Tan-60); } 
#mw-panel.collapsible-nav .portal.expanded .vector-menu-heading { background-color: var(--Tan-60); }

.vector-menu-portal { background-color: var(--Tan-50); } /* background for the menu */

#p-tb { background-color: var(--Tan-40); } /* Tools Menu */
  

/* Padding and Margins */

#mw-panel.collapsible-nav .vector-menu-content { padding-left: 5px; }